Bug 492398 - Review Request: slv2 - LV2 host library
Review Request: slv2 - LV2 host library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
:
: 470914 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-26 13:56 EDT by Orcan Ogetbil
Modified: 2009-04-13 15:35 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.6.2-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-13 15:35:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bugs.michael: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-03-26 13:56:32 EDT
Spec URL: http://oget.fedorapeople.org/review/slv2.spec
SRPM URL: http://oget.fedorapeople.org/review/slv2-0.6.2-1.fc10.src.rpm
Description: 
SLV2 is a library to make the use of LV2 plugins as simple as possible for
applications. It is written in standard C using the Redland RDF toolkit. The
Data (RDF) and code (shared library) functionality in SLV2 is strictly
separated so it is simple to control where each is used (e.g. it is possible
to discover/investigate plugins and related data without loading any shared
libraries, avoiding the associated risks).


rpmlint is silent.
Comment 1 Orcan Ogetbil 2009-03-26 14:01:51 EDT
*** Bug 470914 has been marked as a duplicate of this bug. ***
Comment 2 Michael Schwendt 2009-03-28 06:09:46 EDT
> $ pkg-config --libs slv2
> -lrdf -lrasqal -lraptor -lslv2  

> $ pkg-config --libs redland
> -lrdf -lrasqal -lraptor

The slv2.pc file is optimised for static linking in that it adds the @REDLAND_LIBS@ libs which the shared libslv2 is linked with already. Can be fixed in both packages.


> export CFLAGS="%{optflags}"
> export CPPFLAGS="%{optflags}"

CPPFLAGS duplicates the CFLAGS during compilation. You want to define CXXFLAGS instead, although this project is in plain C.


> slv2_plugininstance.h_r1948.diff

Does any slv2 header actually require definitions found within <stdlib.h>? Or is it just the plugins that ought to include stdlib.h instead? The comment in the spec doesn't explain this.



* Main slv2 package contains API html documentation, which belongs into the -devel package. EasyFix.


* Do we have any dependencies for SLV2 already to test with? [Audacity has dropped SLV2/Redland usage prior to releasing 1.3.7-beta]
Comment 3 Orcan Ogetbil 2009-03-28 15:20:30 EDT
Thank you for the review!

(In reply to comment #2)
> > $ pkg-config --libs slv2
> > -lrdf -lrasqal -lraptor -lslv2  
> 
> > $ pkg-config --libs redland
> > -lrdf -lrasqal -lraptor
> 
> The slv2.pc file is optimised for static linking in that it adds the
> @REDLAND_LIBS@ libs which the shared libslv2 is linked with already. Can be
> fixed in both packages.
> 

I removed @REDLAND_*@ from the .pc file

> 
> > export CFLAGS="%{optflags}"
> > export CPPFLAGS="%{optflags}"
> 
> CPPFLAGS duplicates the CFLAGS during compilation. You want to define CXXFLAGS
> instead, although this project is in plain C.
> 
> 

Sorry, I missed this. Fixed.

> > slv2_plugininstance.h_r1948.diff
> 
> Does any slv2 header actually require definitions found within <stdlib.h>? Or
> is it just the plugins that ought to include stdlib.h instead? The comment in
> the spec doesn't explain this.
> 
> 

It was me who reported this upstream. The file plugininstance.h refers to "NULL" which is undefined unless stdlib.h is included.

Ref: http://dev.drobilla.net/ticket/341

> 
> * Main slv2 package contains API html documentation, which belongs into the
> -devel package. EasyFix.
> 
> 

Done.

> * Do we have any dependencies for SLV2 already to test with? [Audacity has
> dropped SLV2/Redland usage prior to releasing 1.3.7-beta]  

You can re-compile ardour with SLV2 support. We will do this after this package hits to repos. Also there is traverso in rpmfusion that you can try out:
https://bugzilla.rpmfusion.org/show_bug.cgi?id=traverso


Spec URL: http://oget.fedorapeople.org/review/slv2.spec
SRPM URL: http://oget.fedorapeople.org/review/slv2-0.6.2-2.fc10.src.rpm

Changelog: 0.6.2-2
- Remove redland flags from the .pc file
- Change CPPFLAGS to CXXFLAGS
- Move API documentation to the -devel package
Comment 4 Michael Schwendt 2009-03-28 16:00:51 EDT
For NULL you would want to include <stddef.h> not <stdlib.h>

[...]

Will take a final look at the pkg tomorrow...hopefully.
Comment 5 Michael Schwendt 2009-03-29 06:51:18 EDT
* Would have kept %{_docdir}/%{name}-%{version} as the single docdir instead of creating a separate %{_docdir}/%{name}-devel-%{version} for the -devel pkg, but that's a matter of taste.

* Have restricted myself to retesting the slv2 executables with LV2 swh-plugins. Encountered a few error conditions with the JACK hosts and even a segfault, but that one is inside a plugin.

[...]

APPROVED: slv2-0.6.2-2.fc10.src.rpm
Comment 6 Orcan Ogetbil 2009-03-29 14:19:53 EDT
Thanks Michael! I'll do more tests and file tickets upstream if necessary.

New Package CVS Request
=======================
Package Name: slv2
Short Description: LV2 host library
Owners: oget
Branches: F-10
InitialCC:
Comment 7 Kevin Fenzi 2009-03-30 17:32:04 EDT
cvs done.
Comment 8 Fedora Update System 2009-04-01 09:57:16 EDT
slv2-0.6.2-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/slv2-0.6.2-2.fc10
Comment 9 Fedora Update System 2009-04-02 13:17:11 EDT
slv2-0.6.2-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update slv2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3234
Comment 10 Fedora Update System 2009-04-08 18:28:04 EDT
slv2-0.6.2-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/slv2-0.6.2-3.fc10
Comment 11 Fedora Update System 2009-04-09 12:18:00 EDT
slv2-0.6.2-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update slv2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3497
Comment 12 Fedora Update System 2009-04-13 15:35:28 EDT
slv2-0.6.2-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.